<!DOCTYPE html>
<html>
<head>
    <title>Photo Gallery</title>
    <style>
        body {
            background-image: url("https://image.jimcdn.com/app/cms/image/transf/none/path/s2217cd0bb1220415/image/i921c8cdd05b2108e/version/1683748912/antique-photos-and-camera.jpg");
            background-size: cover;
        }
        .container {
            width: 50%;
            margin: 0 auto;
            background-color: rgba(255, 255, 255, 0.7);
            padding: 20px;
            text-align: center;
        }
        .image-list {
            display: flex;
            flex-wrap: wrap;
            justify-content: center;
            list-style-type: none;
            padding: 0;
        }
        .image-list li {
            margin: 10px;
        }
    </style>
</head>
<body>
    <div class="container">
        <h1>Photo Gallery</h1>
        {% if image_urls %}
        <ul class="image-list">
            {% for image_url in image_urls %}
            <li><img src="{{ url_for('static', filename=image_url) }}" alt="Image"></li>
            {% endfor %}
        </ul>
        {% else %}
        <p>No uploaded images found.</p>
        {% endif %}
        <a href="{{ url_for('upload') }}">Upload more images</a>
        <a href="{{ url_for('logout') }}">Logout</a>
    </div>
</body>
</html>
